Bug 61177 - emacs crash with core dump.
Summary: emacs crash with core dump.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-14 21:37 UTC by phil
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-14 21:37:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description phil 2002-03-14 21:37:55 UTC
Description of Problem:

emacs crashes with a core dump if the 
xemacs lisp/auctex/tex-site.el file is loaded and used.

Version-Release number of selected component (if applicable):

GNU Emacs 20.7.1

How Reproducible:
Always.

Steps to Reproduce:

1.  On Redhat 7.2, put the following in ~/.emacs:
(setq load-path (cons "/usr/lib/xemacs/xemacs-packages/lisp/auctex" load-path))
(require 'tex-site)

2.  Put the following in f.tex:
\documentclass[10pt,twoside,letterpaper]{article}

3.  Run 'emacs f.tex'. 

Actual Results:
# emacs f.tex
Fatal error (6).Abort (core dumped)

Expected Results:

Expect emacs to come up and be able to edit f.tex.

Additional Information:
	
I suggested to the user that they use xemacs (21.1.14) which appears
to work correctly on this input.  However, it seems strange
that emacs would exit and dump core on it.

    Phil Kaslo
    Dept. of Computer Science 520-621/2760
    University of Arizona     phil@cs.arizona.edu 
    Tucson, Ariz. 85721

Comment 1 Trond Eivind Glomsrxd 2002-03-18 17:46:46 UTC
Well, you are providing it invalid compiled code... copying the lisp file and
byte-compiling it with GNU Emacs in a separate dir would be a better approach.

While it's not expected to work, it shouldn't coredump.

Newer versions of emacs (21.1 and newer) handle this by rejecting it:

File mode specification error: (error "File
`/usr/lib/xemacs/xemacs-packages/lisp/auctex/tex.elc' was not compiled in Emacs")

One version with the fix is emacs-21.1.95-1

Comment 2 phil 2002-03-18 19:44:43 UTC
Thanks.

Phil 




Note You need to log in before you can comment on or make changes to this bug.